#include <avr/io.h>
#define F_CPU 4000000UL  // 4 MHz - takt MCU
#include <util/delay.h>
#include "myds.c"

#define DS_PIN      PD5				// na PD5 je připojeno čidlo
#define TX          DDRD |= (1<<DS_PIN);
#define RX          DDRD &=~(1<<DS_PIN);
#define RXPIN       PIND & DS_PIN

// provede reset a test prezence ds-18b20 na sbernici 
unsigned char ow_detect_presence(void);

// posle na sbernici log.1
void ow_write_one(void);

// posle na sbernici log.0
void ow_write_zero(void);

// precte jeden bit ze sbernice
unsigned char ow_read_bit(void);

// odeslne na sbernici jeden byte. Odesila se prvni LSB
void ow_write_byte(unsigned char tosend);

// prijde ze sbernice jeden byte. Prijima jako prvni LSB.
unsigned char ow_read_byte(void);

// nacte teplotu z teplomeru a vrati ji ve formatu 1000+t*10
// priklad: 23.5°C = 1235,  -10.5°C = 895
// tento format lze snadneji zpracovavat nez nejake floaty (zerou moc pameti)
unsigned int zmer(void);
